Skip to main content
POST
/
v1
/
security
/
2fa
/
confirm
Confirm and Activate 2FA
curl --request POST \
  --url https://api.runly.pro/v1/security/2fa/confirm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "secret": "<string>",
  "code": "123456"
}
'
{
  "status": {
    "code": 200,
    "message": "OK",
    "trace_id": "tr_2fa_conf"
  },
  "data": {
    "message": "Two-factor authentication activated successfully"
  },
  "usage": {
    "latency_ms": 20
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
secret
string
required
code
string
required
Example:

"123456"

Response

200 - application/json

Activation Result

status
object
required
data
object
output
object
usage
object